<template>
  <div
    class="CountDataApply"
    ref="chart"
  ></div>
</template>

<script>
import * as echarts from "echarts"
import { countDataApply } from "@/api/screen.js"
export default {
  data() {
    return {
      option: {},
    }
  },
  mounted() {
    // const option = this.initData()
    this.initChart()
  },
  methods: {
    async initChart() {
      const res = await countDataApply()
      if (res.code == 200) {
      }
      let xAxis = []
      let yAxis = []

      res.result.forEach(item => {
        xAxis.push(item.name)
        yAxis.push(item.number)
      })

      // let data = [220, 182, 191, 234, 290, 330, 310]
      // const sideData = data.map(item => {
      //   return {
      //     name: item.name,
      //     value: item.number,
      //   }
      // })

      let option = {
        backgroundColor: "transparent",
        tooltip: {
          trigger: "axis",
          formatter: "{b} : {c}",
          axisPointer: {
            // 坐标轴指示器，坐标轴触发有效
            type: "shadow", // 默认为直线，可选为：'line' | 'shadow'
          },
        },
        grid: {
          top: "10%",
          bottom: "15%",
          right: "5%",
          left: "5%",
          containLabel: true,
        },
        xAxis: {
          data: xAxis,
          //坐标轴
          axisLine: {
            lineStyle: {
              color: "#3eb2e8",
            },
          },
          //坐标值标注
          axisLabel: {
            show: false,
            textStyle: {
              color: "#fff",
            },
          },
        },
        yAxis: {
          //坐标轴
          axisLine: {
            show: false,
          },
          //坐标值标注
          axisLabel: {
            show: true,
            textStyle: {
              color: "#fff",
            },
          },
          //分格线
          splitLine: {
            lineStyle: {
              color: "#4784e8",
            },
          },
        },
        series: [
          {
            name: "a",
            tooltip: {
              show: false,
            },
            type: "bar",
            barWidth: 12,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(
                  0,
                  1,
                  0,
                  0,
                  [
                    {
                      offset: 0,
                      color: "#0B4EC3", // 0% 处的颜色
                    },
                    {
                      offset: 0.6,
                      color: "#138CEB", // 60% 处的颜色
                    },
                    {
                      offset: 1,
                      color: "#17AAFE", // 100% 处的颜色
                    },
                  ],
                  false
                ),
              },
            },
            data: xAxis,
            barGap: 0,
          },
          {
            type: "bar",
            barWidth: 8,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(
                  0,
                  1,
                  0,
                  0,
                  [
                    {
                      offset: 0,
                      color: "#09337C", // 0% 处的颜色
                    },
                    {
                      offset: 0.6,
                      color: "#0761C0", // 60% 处的颜色
                    },
                    {
                      offset: 1,
                      color: "#0575DE", // 100% 处的颜色
                    },
                  ],
                  false
                ),
              },
            },
            barGap: 0,
            data: yAxis,
          },
          {
            name: "b",
            tooltip: {
              show: false,
            },
            type: "pictorialBar",
            itemStyle: {
              borderWidth: 1,
              borderColor: "#0571D5",
              color: "#1779E0",
            },
            symbol: "path://M 0,0 l 120,0 l -30,60 l -120,0 z",
            symbolSize: ["30", "12"],
            symbolOffset: ["0", "-11"],
            //symbolRotate: -5,
            symbolPosition: "end",
            data: xAxis,
            z: 3,
          },
        ],
      }
      const chart = echarts.init(this.$refs.chart)

      chart.setOption(option)
      window.addEventListener("resize", function () {
        chart.resize()
      })
    },
  },
}
</script>

<style lang="scss" scoped>
.CountDataApply {
  width: 100%;
  height: 100%;
}
</style>
